POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2821b8d2-d41d-49eb-b9d5-6dd02c05b92b"
},
{
"code": "sample string 1",
"id": "2821b8d2-d41d-49eb-b9d5-6dd02c05b92b"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "ae7dae5f-ce6f-4a34-91ca-8ef666539b63",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "527d6fcd-3a50-4228-b535-6093b6c5c4e4",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "02114515-b104-45e2-af13-3d27b5b730ad",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "ae7dae5f-ce6f-4a34-91ca-8ef666539b63",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "527d6fcd-3a50-4228-b535-6093b6c5c4e4",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "02114515-b104-45e2-af13-3d27b5b730ad",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "f4c486a0-29c7-4969-99ec-d3b113feb62a",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "b55a6f5a-5870-429f-b1fe-cd9548aea728",
"guard_id": "9c693325-d154-4981-8260-118d2af3c0e8",
"active": true
},
{
"id": "f4c486a0-29c7-4969-99ec-d3b113feb62a",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "b55a6f5a-5870-429f-b1fe-cd9548aea728",
"guard_id": "9c693325-d154-4981-8260-118d2af3c0e8",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "f0381b71-37c4-4691-9e67-25c3ecf3544d",
"firstname": "sample string 11",
"id": "af7f5857-8c2f-4e40-8b96-06ac41033573",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-10-02T21:14:38.7529028+00:00",
"role_id": "a8c59381-4acb-44ca-86ec-a95ea5f492d7"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>f0381b71-37c4-4691-9e67-25c3ecf3544d</customer_id>
<firstname>sample string 11</firstname>
<id>af7f5857-8c2f-4e40-8b96-06ac41033573</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>a8c59381-4acb-44ca-86ec-a95ea5f492d7</role_id>
<webapp_password_last_update>2026-10-02T21:14:38.7529028+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>b55a6f5a-5870-429f-b1fe-cd9548aea728</distribution_id>
<guard_id>9c693325-d154-4981-8260-118d2af3c0e8</guard_id>
<id>f4c486a0-29c7-4969-99ec-d3b113feb62a</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>b55a6f5a-5870-429f-b1fe-cd9548aea728</distribution_id>
<guard_id>9c693325-d154-4981-8260-118d2af3c0e8</guard_id>
<id>f4c486a0-29c7-4969-99ec-d3b113feb62a</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2821b8d2-d41d-49eb-b9d5-6dd02c05b92b</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2821b8d2-d41d-49eb-b9d5-6dd02c05b92b</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>ae7dae5f-ce6f-4a34-91ca-8ef666539b63</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>527d6fcd-3a50-4228-b535-6093b6c5c4e4</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>02114515-b104-45e2-af13-3d27b5b730ad</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>ae7dae5f-ce6f-4a34-91ca-8ef666539b63</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>527d6fcd-3a50-4228-b535-6093b6c5c4e4</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>02114515-b104-45e2-af13-3d27b5b730ad</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"282535ae-6e1f-4cec-aba1-79046bb62df1"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">282535ae-6e1f-4cec-aba1-79046bb62df1</guid>